class SqlServerGrammar extends Grammar (View source)
| CompilesJsonPaths | |
| Macroable |
| static protected array | $macros | The registered string macros. | from Macroable |
| protected Connection | $connection | The connection used for escaping values. | from Grammar |
| protected string | $tablePrefix | The grammar table prefix. | from Grammar |
| protected string[] | $modifiers | The possible column modifiers. | |
| protected bool | $transactions | If this Grammar supports schema changes wrapped in a transaction. | |
| protected string[] | $fluentCommands | The commands to be executed outside of create or alter command. | |
| protected string[] | $serials | The columns available as serials. |
| static void | macro(string $name, object|callable $macro)
Register a custom macro. | from Macroable |
| static void | mixin(object $mixin, bool $replace = true)
Mix another object into the class. | from Macroable |
| static bool | hasMacro(string $name)
Checks if macro is registered. | from Macroable |
| static void | flushMacros()
Flush the existing macros. | from Macroable |
| static mixed | __callStatic(string $method, array $parameters)
Dynamically handle calls to the class. | from Macroable |
| mixed | __call(string $method, array $parameters)
Dynamically handle calls to the class. | from Macroable |
| array | wrapArray(array $values)
Wrap an array of values. | from Grammar |
| string | wrapTable(Expression|string $table)
Wrap a table in keyword identifiers. | |
| string | wrap(Expression|string $value, bool $prefixAlias = false)
Wrap a value in keyword identifiers. | from Grammar |
| string | wrapAliasedValue(string $value)
Wrap a value that has an alias. | from Grammar |
| string | wrapAliasedTable(string $value)
Wrap a table that has an alias. | from Grammar |
| string | wrapSegments(array $segments)
Wrap the given value segments. | from Grammar |
| string | wrapValue(string $value)
Wrap a single string in keyword identifiers. | from Grammar |
| string | wrapJsonSelector(string $value)
Wrap the given JSON selector. | from Grammar |
| bool | isJsonSelector(string $value)
Determine if the given string is a JSON selector. | from Grammar |
| string | columnize(array $columns)
Convert an array of column names into a delimited string. | from Grammar |
| string | parameterize(array $values)
Create query parameter place-holders for an array. | from Grammar |
| string | parameter(mixed $value)
Get the appropriate query parameter place-holder for a value. | from Grammar |
| string | quoteString(string|array $value)
Quote the given string literal. | |
| string | escape(string|float|int|bool|null $value, bool $binary = false)
Escapes a value for safe SQL embedding. | from Grammar |
| bool | isExpression(mixed $value)
Determine if the given value is a raw expression. | from Grammar |
| string|int|float | getValue(Expression|string|int|float $expression)
Transforms expressions to their scalar types. | from Grammar |
| string | getDateFormat()
Get the format for database stored dates. | from Grammar |
| string | getTablePrefix()
Get the grammar's table prefix. | from Grammar |
| $this | setTablePrefix(string $prefix)
Set the grammar's table prefix. | from Grammar |
| $this | setConnection(Connection $connection)
Set the grammar's database connection. | from Grammar |
| array | wrapJsonFieldAndPath(string $column)
Split the given JSON selector into the field and the optional path and wrap them separately. | from CompilesJsonPaths |
| string | wrapJsonPath(string $value, string $delimiter = '->')
Wrap the given JSON path. | from CompilesJsonPaths |
| string | wrapJsonPathSegment(string $segment)
Wrap the given JSON path segment. | from CompilesJsonPaths |
| void | compileCreateDatabase(string $name, Connection $connection)
Compile a create database command. | |
| void | compileDropDatabaseIfExists(string $name)
Compile a drop database if exists command. | |
| array|string | compileRenameColumn(Blueprint $blueprint, Fluent $command, Connection $connection)
Compile a rename column command. | |
| array|string | compileChange(Blueprint $blueprint, Fluent $command, Connection $connection)
Compile a change column command into a series of SQL statements. | |
| string | compileFulltext(Blueprint $blueprint, Fluent $command)
Compile a fulltext index key command. | from Grammar |
| string | compileDropFullText(Blueprint $blueprint, Fluent $command)
Compile a drop fulltext index command. | from Grammar |
| string | compileForeign(Blueprint $blueprint, Fluent $command)
Compile a foreign key command. | from Grammar |
| string | compileDropForeign(Blueprint $blueprint, Fluent $command)
Compile a drop foreign key command. | |
| array | getColumns(Blueprint $blueprint)
Compile the blueprint's added column definitions. | from Grammar |
| string | getColumn(Blueprint $blueprint, ColumnDefinition $column)
Compile the column definition. | from Grammar |
| string | getType(Fluent $column)
Get the SQL for the column data type. | from Grammar |
| void | typeComputed(Fluent $column)
Create the column definition for a generated, computed column type. | |
| string | addModifiers(string $sql, Blueprint $blueprint, Fluent $column)
Add the column modifiers to the definition. | from Grammar |
| Fluent|null | getCommandByName(Blueprint $blueprint, string $name)
Get the command with a given name if it exists on the blueprint. | from Grammar |
| array | getCommandsByName(Blueprint $blueprint, string $name)
Get all of the commands with a given name. | from Grammar |
| hasCommand(Blueprint $blueprint, $name) No description | from Grammar | |
| array | prefixArray(string $prefix, array $values)
Add a prefix to an array of values. | from Grammar |
| string | getDefaultValue(mixed $value)
Format a value so that it can be used in "default" clauses. | from Grammar |
| array | getFluentCommands()
Get the fluent commands for the grammar. | from Grammar |
| bool | supportsSchemaTransactions()
Check if this Grammar supports schema changes wrapped in a transaction. | from Grammar |
| string | compileDefaultSchema()
Compile a query to determine the name of the default schema. | |
| string | compileTables()
Compile the query to determine the tables. | |
| string | compileViews()
Compile the query to determine the views. | |
| string | compileColumns(string $schema, string $table)
Compile the query to determine the columns. | |
| string | compileIndexes(string $schema, string $table)
Compile the query to determine the indexes. | |
| string | compileForeignKeys(string $schema, string $table)
Compile the query to determine the foreign keys. | |
| string | compileCreate(Blueprint $blueprint, Fluent $command)
Compile a create table command. | |
| string | compileAdd(Blueprint $blueprint, Fluent $command)
Compile a column addition table command. | |
| string | compilePrimary(Blueprint $blueprint, Fluent $command)
Compile a primary key command. | |
| string | compileUnique(Blueprint $blueprint, Fluent $command)
Compile a unique key command. | |
| string | compileIndex(Blueprint $blueprint, Fluent $command)
Compile a plain index key command. | |
| string | compileSpatialIndex(Blueprint $blueprint, Fluent $command)
Compile a spatial index key command. | |
| string|null | compileDefault(Blueprint $blueprint, Fluent $command)
Compile a default command. | |
| string | compileDrop(Blueprint $blueprint, Fluent $command)
Compile a drop table command. | |
| string | compileDropIfExists(Blueprint $blueprint, Fluent $command)
Compile a drop table (if exists) command. | |
| string | compileDropAllTables()
Compile the SQL needed to drop all tables. | |
| string | compileDropColumn(Blueprint $blueprint, Fluent $command)
Compile a drop column command. | |
| string | compileDropDefaultConstraint(Blueprint $blueprint, Fluent $command)
Compile a drop default constraint command. | |
| string | compileDropPrimary(Blueprint $blueprint, Fluent $command)
Compile a drop primary key command. | |
| string | compileDropUnique(Blueprint $blueprint, Fluent $command)
Compile a drop unique key command. | |
| string | compileDropIndex(Blueprint $blueprint, Fluent $command)
Compile a drop index command. | |
| string | compileDropSpatialIndex(Blueprint $blueprint, Fluent $command)
Compile a drop spatial index command. | |
| string | compileRename(Blueprint $blueprint, Fluent $command)
Compile a rename table command. | |
| string | compileRenameIndex(Blueprint $blueprint, Fluent $command)
Compile a rename index command. | |
| string | compileEnableForeignKeyConstraints()
Compile the command to enable foreign key constraints. | |
| string | compileDisableForeignKeyConstraints()
Compile the command to disable foreign key constraints. | |
| string | compileDropAllForeignKeys()
Compile the command to drop all foreign keys. | |
| string | compileDropAllViews()
Compile the command to drop all views. | |
| string | typeChar(Fluent $column)
Create the column definition for a char type. | |
| string | typeString(Fluent $column)
Create the column definition for a string type. | |
| string | typeTinyText(Fluent $column)
Create the column definition for a tiny text type. | |
| string | typeText(Fluent $column)
Create the column definition for a text type. | |
| string | typeMediumText(Fluent $column)
Create the column definition for a medium text type. | |
| string | typeLongText(Fluent $column)
Create the column definition for a long text type. | |
| string | typeInteger(Fluent $column)
Create the column definition for an integer type. | |
| string | typeBigInteger(Fluent $column)
Create the column definition for a big integer type. | |
| string | typeMediumInteger(Fluent $column)
Create the column definition for a medium integer type. | |
| string | typeTinyInteger(Fluent $column)
Create the column definition for a tiny integer type. | |
| string | typeSmallInteger(Fluent $column)
Create the column definition for a small integer type. | |
| string | typeFloat(Fluent $column)
Create the column definition for a float type. | |
| string | typeDouble(Fluent $column)
Create the column definition for a double type. | |
| string | typeDecimal(Fluent $column)
Create the column definition for a decimal type. | |
| string | typeBoolean(Fluent $column)
Create the column definition for a boolean type. | |
| string | typeEnum(Fluent $column)
Create the column definition for an enumeration type. | |
| string | typeJson(Fluent $column)
Create the column definition for a json type. | |
| string | typeJsonb(Fluent $column)
Create the column definition for a jsonb type. | |
| string | typeDate(Fluent $column)
Create the column definition for a date type. | |
| string | typeDateTime(Fluent $column)
Create the column definition for a date-time type. | |
| string | typeDateTimeTz(Fluent $column)
Create the column definition for a date-time (with time zone) type. | |
| string | typeTime(Fluent $column)
Create the column definition for a time type. | |
| string | typeTimeTz(Fluent $column)
Create the column definition for a time (with time zone) type. | |
| string | typeTimestamp(Fluent $column)
Create the column definition for a timestamp type. | |
| string | typeTimestampTz(Fluent $column)
Create the column definition for a timestamp (with time zone) type. | |
| string | typeYear(Fluent $column)
Create the column definition for a year type. | |
| string | typeBinary(Fluent $column)
Create the column definition for a binary type. | |
| string | typeUuid(Fluent $column)
Create the column definition for a uuid type. | |
| string | typeIpAddress(Fluent $column)
Create the column definition for an IP address type. | |
| string | typeMacAddress(Fluent $column)
Create the column definition for a MAC address type. | |
| string | typeGeometry(Fluent $column)
Create the column definition for a spatial Geometry type. | |
| string | typeGeography(Fluent $column)
Create the column definition for a spatial Geography type. | |
| string|null | modifyCollate(Blueprint $blueprint, Fluent $column)
Get the SQL for a collation column modifier. | |
| string|null | modifyNullable(Blueprint $blueprint, Fluent $column)
Get the SQL for a nullable column modifier. | |
| string|null | modifyDefault(Blueprint $blueprint, Fluent $column)
Get the SQL for a default column modifier. | |
| string|null | modifyIncrement(Blueprint $blueprint, Fluent $column)
Get the SQL for an auto-increment column modifier. | |
| string|null | modifyPersisted(Blueprint $blueprint, Fluent $column)
Get the SQL for a generated stored column modifier. |
Register a custom macro.
Mix another object into the class.
Checks if macro is registered.
Flush the existing macros.
Dynamically handle calls to the class.
Dynamically handle calls to the class.
Wrap an array of values.
Wrap a table in keyword identifiers.
Wrap a value in keyword identifiers.
Wrap a value that has an alias.
Wrap a table that has an alias.
Wrap the given value segments.
Wrap a single string in keyword identifiers.
Wrap the given JSON selector.
Determine if the given string is a JSON selector.
Convert an array of column names into a delimited string.
Create query parameter place-holders for an array.
Get the appropriate query parameter place-holder for a value.
Quote the given string literal.
Escapes a value for safe SQL embedding.
Determine if the given value is a raw expression.
Transforms expressions to their scalar types.
Get the format for database stored dates.
Get the grammar's table prefix.
Set the grammar's table prefix.
Set the grammar's database connection.
Split the given JSON selector into the field and the optional path and wrap them separately.
Wrap the given JSON path.
Wrap the given JSON path segment.
Compile a create database command.
Compile a drop database if exists command.
Compile a rename column command.
Compile a change column command into a series of SQL statements.
Compile a drop fulltext index command.
Compile a drop foreign key command.
Compile the blueprint's added column definitions.
Compile the column definition.
Get the SQL for the column data type.
Create the column definition for a generated, computed column type.
Add the column modifiers to the definition.
Get the command with a given name if it exists on the blueprint.
Get all of the commands with a given name.
No description
Add a prefix to an array of values.
Format a value so that it can be used in "default" clauses.
Get the fluent commands for the grammar.
Check if this Grammar supports schema changes wrapped in a transaction.
Compile a query to determine the name of the default schema.
Compile the query to determine the tables.
Compile the query to determine the views.
Compile the query to determine the columns.
Compile the query to determine the indexes.
Compile the query to determine the foreign keys.
Compile a spatial index key command.
Compile a drop table (if exists) command.
Compile the SQL needed to drop all tables.
Compile a drop default constraint command.
Compile a drop primary key command.
Compile a drop spatial index command.
Compile the command to enable foreign key constraints.
Compile the command to disable foreign key constraints.
Compile the command to drop all foreign keys.
Compile the command to drop all views.
Create the column definition for a char type.
Create the column definition for a string type.
Create the column definition for a tiny text type.
Create the column definition for a text type.
Create the column definition for a medium text type.
Create the column definition for a long text type.
Create the column definition for an integer type.
Create the column definition for a big integer type.
Create the column definition for a medium integer type.
Create the column definition for a tiny integer type.
Create the column definition for a small integer type.
Create the column definition for a float type.
Create the column definition for a double type.
Create the column definition for a decimal type.
Create the column definition for a boolean type.
Create the column definition for an enumeration type.
Create the column definition for a json type.
Create the column definition for a jsonb type.
Create the column definition for a date type.
Create the column definition for a date-time type.
Create the column definition for a date-time (with time zone) type.
Create the column definition for a time type.
Create the column definition for a time (with time zone) type.
Create the column definition for a timestamp type.
Create the column definition for a timestamp (with time zone) type.
Create the column definition for a year type.
Create the column definition for a binary type.
Create the column definition for a uuid type.
Create the column definition for an IP address type.
Create the column definition for a MAC address type.
Create the column definition for a spatial Geometry type.
Create the column definition for a spatial Geography type.
Get the SQL for a collation column modifier.
Get the SQL for a nullable column modifier.
Get the SQL for a default column modifier.
Get the SQL for an auto-increment column modifier.
Get the SQL for a generated stored column modifier.
© Taylor Otwell
Licensed under the MIT License.
Laravel is a trademark of Taylor Otwell.
https://laravel.com/api/11.x/Illuminate/Database/Schema/Grammars/SqlServerGrammar.html